classification
Title: Add missed AsyncContextDecorator to contextlib
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: John Belmonte, asvetlov, heckad, jab, kj, yselivanov
Priority: normal Keywords: patch

Created on 2020-05-29 14:53 by heckad, last changed 2020-11-05 15:12 by kj. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20516 merged heckad, 2020-05-29 15:00
PR 23164 merged kj, 2020-11-05 15:12
Messages (6)
msg370317 - (view) Author: Андрей Казанцев (heckad) * Date: 2020-05-29 14:53
I can use context manager as decorator but can't use async context manager. Seems it because didn't implemented AsyncContextDecorator class
msg370630 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2020-06-02 21:10
This has long been implemented: https://docs.python.org/3/library/contextlib.html#contextlib.asynccontextmanager
msg370817 - (view) Author: Андрей Казанцев (heckad) * Date: 2020-06-06 11:42
No, please look at the pull request.
msg371834 - (view) Author: Андрей Казанцев (heckad) * Date: 2020-06-18 19:46
Yury Selivanov, did you see the pull request?
msg373802 - (view) Author: John Belmonte (John Belmonte) Date: 2020-07-17 08:30
Thank you heckad!

I'm in need of a decorating asynccontextmanager, and glad that an implementation is in the works that I can copy from in the meantime.

I hope Yuri reviews the PR before long.
msg380398 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2020-11-05 08:52
New changeset 178695b7aee7a7aacd49a3086060e06347d1e556 by Kazantcev Andrey in branch 'master':
bpo-40816 Add AsyncContextDecorator class (GH-20516)
https://github.com/python/cpython/commit/178695b7aee7a7aacd49a3086060e06347d1e556
History
Date User Action Args
2020-11-05 15:12:45kjsetnosy: + kj

pull_requests: + pull_request22076
2020-11-05 08:53:43asvetlovsetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.10, - Python 3.9
2020-11-05 08:52:51asvetlovsetnosy: + asvetlov
messages: + msg380398
2020-07-25 15:44:30jabsetnosy: + jab
2020-07-17 08:30:22John Belmontesetnosy: + John Belmonte
messages: + msg373802
2020-06-18 19:46:43heckadsetmessages: + msg371834
2020-06-06 11:42:13heckadsetmessages: + msg370817
2020-06-02 21:10:52yselivanovsetnosy: + yselivanov
messages: + msg370630
2020-05-29 15:00:35heckadsetkeywords: + patch
stage: patch review
pull_requests: + pull_request19760
2020-05-29 14:53:13heckadcreate